Bug 198399 - Package perl lacks IPv6 support
Summary: Package perl lacks IPv6 support
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:26 UTC by Peter Vrabec
Modified: 2008-06-02 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-02 08:09:28 UTC


Attachments (Terms of Use)

Description Peter Vrabec 2006-07-11 10:26:34 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/perl-5.8.8/pp_sys.c:2369:#if defined (HAS_SOCKETPAIR) || (defined (HAS_SOCKET) && defined(SOCK_DGRAM) && defined(AF_INET) && defined(PF_INET))
/perl-5.8.8/pp_sys.c:2742:	    if (((struct sockaddr *)SvPVX_const(sv))->sa_family == AF_INET &&
/perl-5.8.8/vms/sockadapt.c:122:  if (addr->sa_family == AF_INET &&
/perl-5.8.8/vms/sockadapt.h:115:#ifndef AF_INET
/perl-5.8.8/vms/sockadapt.h:116:#  define AF_INET 2
/perl-5.8.8/util.c:4166:#if !defined(HAS_SOCKETPAIR) && defined(HAS_SOCKET) && defined(AF_INET) && defined(PF_INET) && defined(SOCK_DGRAM) && defined(HAS_SELECT)
/perl-5.8.8/util.c:4185:	sockets[i] = PerlSock_socket(AF_INET, SOCK_DGRAM, PF_INET);
/perl-5.8.8/util.c:4189:	addresses[i].sin_family = AF_INET;
/perl-5.8.8/util.c:4311:#if !defined(HAS_SOCKETPAIR) && defined(HAS_SOCKET) && defined(AF_INET) && defined(PF_INET)
/perl-5.8.8/util.c:4342:    listener = PerlSock_socket(AF_INET, type, 0);
/perl-5.8.8/util.c:4346:    listen_addr.sin_family = AF_INET;
/perl-5.8.8/util.c:4355:    connector = PerlSock_socket(AF_INET, type, 0);
/perl-5.8.8/mpeix/mpeix.c:511:                /* AF_INET socket */
/perl-5.8.8/mpeix/mpeix.c:713:   if (address->sa_family == AF_INET
/perl-5.8.8/mpeix/mpeix.c:724:   if (address->sa_family == AF_INET)
/perl-5.8.8/mpeix/mpeix.c:750:      && address->sa_family == AF_INET
/perl-5.8.8/mpeix/mpeix.c:799:    result = 30000; /* AF_INET sock max */

Comment 1 Bug Zapper 2008-05-14 02:12:51 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Marcela Mašláňová 2008-06-02 08:09:28 UTC
Change in such essential package should be developed by upstream.


Note You need to log in before you can comment on or make changes to this bug.